Subject: Re: bug#22967: parted 3.2 fails to read MBR partition table where parted 2.3 was ok

From: Ulf Zibis <[email-masked]>
Date: Fri, 11 Mar 2016 21:05:35 +0100

I like to add that GRUB4DOS ist widely used on bootable pendrives e.g. with MultiSystem.
So would be helpful, if it would be treated by parted.

-Ulf

Am 10.03.2016 um 00:23 schrieb a:
> I can bring some more details:
>
> the problem definitely looks to be that parted 3.2 doesn't like the
> GRUB4DOS MBR (see dump contents I supplied at end of in my first post),
> while parted 2.3 is ok.
>
>
> Indeed, when I reset the MBR with bootrec /FixMbr from a Win7 boot CD,
> everything is ok in parted 3.2.
>
>
> And as soon as I reinstall GRUB4DOS, no matter which version (0.4.5c or
> 0.4.6a), parted can't read the partition table anymore.
>
>
> Still, the partition table itself (0x1BE to 0x1FE) is totally identical
> in all cases.
>
>
> So something in the rest of the MBR contents, between 0 and 0x1BD, is
> not digested by parted 3.2 ... are you able to tell what ?
> GRUB4DOS being quite spread and used (Grub2 is too complex to configure
> and requires to have a Linux install, which I do not have), parted
> should compose with it like other Boot Managers .. shouldn't it ?
>
> Thank you for any hint/help or let me know if you need anything more,
> Erwin9
>